<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Category extends Model {

    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'media_category';

    /**
     * The database primary key value.
     *
     * @var string
     */
    protected $primaryKey = 'id';

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = ['title', 'image', 'type', 'parent_id', 'banner_img'];

    public function category() {
        return $this->belongsTo('App\Category', 'parent_id');
    }

    public function media() {
        return $this->hasMany('App\Media');
    }

}
