<?php

namespace App\Http\Controllers;

use App\Image;
use Illuminate\Http\Request;
use App\Http\Requests;
use App\Http\Controllers\Controller;
use Validator;

class ImagesController extends Controller {

    public function __construct() {
        if (!file_exists('uploads/images')) {
            mkdir('uploads/images', 0777, true);
        }
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index() {
        $images = Image::orderBy('order', 'ASC')->get();
        return view('images.index', compact('images'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create() {
        
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request) {

        foreach ($request->images as $image) {
            $file = $image;
            $path = $this->destinationFolder . "images/";
            $uniqueID = uniqid();
            $image->move($path, $uniqueID . "." . $file->getClientOriginalExtension());
            $images['image'] = $path . $uniqueID . "." . $file->getClientOriginalExtension();
            $save = Image::create($images);
        }
        if ($save)
            return Response(array('data' => 'success'));
        else
            return Response(array('data' => 'failed'));
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id) {

        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id) {
        
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id) {
        $imagesImg = Image::findOrFail($id);
        $newImage = $request->all();
        if ($request->hasFile('image')) {
            $file = $request->file('image');
            $path = $this->destinationFolder . "images/";
            $uniqueID = time();
            $file->move($path, $uniqueID . "." . $file->getClientOriginalExtension());
            $newImage['image'] = $path . $uniqueID . "." . $file->getClientOriginalExtension();
            $this->delete_image_if_exists($imagesImg->image);
            $ed = $imagesImg->update($newImage);
            if ($ed)
                return Response(array('data' => 'success'));
            else
                return Response(array('data' => 'failed'));
        }
        return Response(array('data' => 'no-data'));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Request $request) {
        $id = $request->id;
        $imagesImg = Image::findOrFail($id);
        $this->delete_image_if_exists($imagesImg->image);
        $del = $imagesImg->delete();
        if ($del)
            return Response('success');

        return Response('failed');
    }

    public function update_sequence(Request $request) {
        $items = $request->item;
        // return $items;
        $i = 1;
        foreach ($items as $item) {
            $img = Image::find($item);
            $img->order = $i;
            $img->save();
            $i++;
        }
    }

}
