<?php

namespace App\Http\Controllers;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use Validator;
use App\Service;
use Illuminate\Http\Request;

class ServicesController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\View\View
     */
    public function index(Request $request)
    {
        
            $services = Service::all();
        

        return view('services.index', compact('services'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\View\View
     */
    public function create()
            
    {   $service =null;
        return view('services.create', compact('service'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     *
     * @return \Illuminate\Http\RedirectResponse|\Illuminate\Routing\Redirector
     */
    public function store(Request $request)
    {
         $validator = Validator::make($request->all(), [
                    'title' => 'required',
                    'Image' => 'required',
                    'video' => 'required'                  
        ]);
        if ($validator->fails()) {
            return back()->withErrors($validator)->withInput();
        }
        
        $requestData = $request->all();
        if ($request->hasFile('Image')) {
                $imgExtensions = array("png", "jpeg", "jpg");
                $destinationFolder = "uploads/services/";
                $file = $request->file("Image");
                if (!in_array($file->getClientOriginalExtension(), $imgExtensions)) {
                    \Session::flash('failed', 'Image must be jpg, png, or jpeg only !! No updates takes place, try again with that extensions please..');
                    return back();
                }
                $uniqueid = uniqid();
                $file->move($destinationFolder, $uniqueid . "." . $file->getClientOriginalExtension());
                $requestData['image'] = $destinationFolder . $uniqueid . "." . $file->getClientOriginalExtension();
                $check = true;
            }
        Service::create($requestData);
        $request->session()->flash('success', 'Service Created Successfully');
        return redirect('services')->with('flash_message', 'Service added!');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     *
     * @return \Illuminate\View\View
     */
    public function show($id)
    {
       
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     *
     * @return \Illuminate\View\View
     */
    public function edit($id)
    {
        $service = Service::findOrFail($id);

        return view('services.edit', compact('service'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param  int  $id
     *
     * @return \Illuminate\Http\RedirectResponse|\Illuminate\Routing\Redirector
     */
    public function update(Request $request, $id)
    {
          $validator = Validator::make($request->all(), [
                    'title' => 'required',  
                    'video' => 'required'                  
        ]);
        if ($validator->fails()) {
            return back()->withErrors($validator)->withInput();
        }
        $requestData = $request->all();        
        $service = Service::findOrFail($id);
           if ($request->hasFile('Image')) {
                $imgExtensions = array("png", "jpeg", "jpg");
                $destinationFolder = "uploads/services/";
                $file = $request->file("Image");
                if (!in_array($file->getClientOriginalExtension(), $imgExtensions)) {
                    \Session::flash('failed', 'Image must be jpg, png, or jpeg only !! No updates takes place, try again with that extensions please..');
                    return back();
                }
                $uniqueid = uniqid();
                $file->move($destinationFolder, $uniqueid . "." . $file->getClientOriginalExtension());
                $requestData['image'] = $destinationFolder . $uniqueid . "." . $file->getClientOriginalExtension();
                $check = true;
            }
        $service->update($requestData);
        \Session::flash('success', 'Service Updated Successfully');
        return redirect('services')->with('flash_message', 'Service updated!');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     *
     * @return \Illuminate\Http\RedirectResponse|\Illuminate\Routing\Redirector
     */
    public function destroy($id)
    {
        $service=Service::findOrFail($id);
        $service->destroy($id);
        $this->delete_image_if_exists($service->image);
        \Session::flash('success', 'Service Deleted Successfully');
        return redirect('services');
    }
}
