<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateLayersTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('layers', function(Blueprint $table)
		{
			$table->integer('id', true);
			$table->integer('slide_id')->index('slide_id');
			$table->string('title')->nullable();
			$table->string('image')->nullable();
			$table->integer('order')->default(0);
			$table->text('link', 65535)->nullable();
			$table->integer('x');
			$table->integer('y');
			$table->text('class', 65535);
			$table->integer('speed');
			$table->integer('start');
			$table->string('easing');
			$table->timestamps();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('layers');
	}

}
