<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateMediaCategoryTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('media_category', function(Blueprint $table)
		{
			$table->integer('id', true);
			$table->string('title');
			$table->string('image');
			$table->boolean('type')->comment('1:audio,2:video');
			$table->integer('parent_id')->index('parent_id');
			$table->string('banner_img');
			$table->timestamps();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('media_category');
	}

}
