@extends('template')
@section('page_title')
<?= $type == 1 ? 'Audio' : 'Video' ?> Category
@stop
@section('content')
<div class="row">
    <div class="col-md-12">
        <div class="row">

            <div class="col-md-12">
                <div class="box box-black">
                    <div class="box-title">
                        <h3><i class="fa fa-table"></i><?= $type == 1 ? 'Audio' : 'Video' ?> Category Table</h3>
                        <div class="box-tool">
                            <a data-action="collapse" href="#"><i class="fa fa-chevron-up"></i></a>
                            <a data-action="close" href="#"><i class="fa fa-times"></i></a>
                        </div>
                    </div>
                    <div class="box-content">
                        <div class="btn-toolbar pull-right">
                            <div class="btn-group">
                                <a class="btn btn-circle show-tooltip" title="" href="{{url('category/new?type='.$type)}}" data-original-title="Add new record"><i class="fa fa-plus"></i></a>
                                <?php
                                $table_name = "media_category";
                                // pass table name to delete all function 
                                // if the current route exists in delete all table flags it will appear in view
                                // else it'll not appear
                                ?>
                                @include('partial.delete_all') 
                            </div>
                        </div>
                        <br><br>
                        <div class="table-responsive">
                            <table id="example" class="table table-striped dt-responsive" cellspacing="0" width="100%">

                                <thead>
                                    <tr>
                                        <th style="width:18px"><input type="checkbox" onclick="select_all('{{$table_name}}')"></th>
                                        <th>id</th>
                                        <th>Title</th>                          
                                        <th>Image</th>                                       
                                        <th>Parent Category</th>                                       
                                        <th >Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($category as $value)
                                    <tr>
                                        <td><input class="select_all_template" type="checkbox" name="selected_rows[]" value="{{$value->id}}" class="roles" onclick="collect_selected(this)"></td>
                                        <td>{{$value->id}}</td>
                                        <td>
                                            {{$value->title}}
                                        </td>
                                        <td>
                                            <img class="img-thumbnail" width="150px" src="{{url($value->image)}}"/>
                                        </td>
                                        <td>
                                            @if($value->parent_id!=null)
                                            {{$value->category->title}}
                                            @else
                                            --
                                            @endif    
                                        </td>
                                        <td class="visible-md visible-lg">
                                            <div class="btn-group">
                                                <a class="btn btn-sm btn-success show-tooltip" href="{{url('media/new?type='.$type.'&category_id='.$value->id)}}" title="Media"><i class="fa fa-plus"></i></a>
                                                @if(\App\Media::where('category_id',$value->id)->count()>0)
                                                <a class="btn btn-sm show-tooltip" href="{{url("category/$value->id/media")}}" title="Media"><i class="fa fa-eye"></i></a>
                                                @endif
                                                <a class="btn btn-sm show-tooltip" href="{{url("category/$value->id/edit")}}" title="Edit"><i class="fa fa-edit"></i></a>
                                                <a class="btn btn-sm show-tooltip btn-danger" onclick="return ConfirmDelete();" href="{{url("category/$value->id/delete?type=$type")}}" title="Delete"><i class="fa fa-trash"></i></a>                                    
                                            </div>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>

@stop

@section('script')
<script>
            @if ($type == 1)
            $('#audio').addClass('active');
            $('#audio_cat').addClass('active');
            @elseif($type == 2)
            $('#videos').addClass('active');
            $('#video_cat').addClass('active');
            @endif
</script>
@stop
