<!-- |__ Header of Website __| -->
<?php $title = "عن العفـاسى" ;?>
@extends('front.template')
@section('content')

<!-- |__ Content of Page __| -->
<section class="about-page">
    <!-- Section About In This Page -->
    
    <!-- about-summary -->
    <section class="sections about-summary">
        <div class="container">
            <h2 class="about-summary-title tm-header">عن الشيخ <br> مشارى راشد العفاسى </h2>
            <div class="row">
                <div class="col-md-6 col-12">
                    <div class="info-item">
                        <h3 class="info-item-header">نبذة عن حياته</h3>
                        <p class="info-item-desc">
                            {!!$about['life_brief']!!}
                         </p>
                        <h3 class="info-item-header">رحلته مع القرآن الكريم</h3>
                        <p class="info-item-desc">
                            {!!$about['his_journey']!!}
                        </p>
                    </div>
                </div> <!-- ./info-item -->

                <div class="col-md-6 col-12 wow bounceIn">
                    <div class="info-img">
                        <img src="@if($about['about_image']) {{url($about['about_image'])}} @else {{ url('assets/front/images/about_page/photo-about-us.jpg')}} @endif" alt="" draggable="false">
                    </div>
                </div><!-- ./info-img -->
            </div><!-- ./row -->
        </div><!-- ./container -->
    </section><!-- ./about-summary -->
    
    
    <!-- helps -->
    <section class="sections helps">
        <div class="container">
            
            <div class="help-item">
                <h4 class="help-item-title">خدمته للقرآن الكريم</h4>
                <p class="help-item-desc">
                     {!!$about['his_service']!!}
                </p>
            </div><!-- ./help-item -->
            
            <div class="read-item wow fadeInLeft">
                <h4 class="read-item-title">من قرأ عليهم</h4>
                <p class="read-item-desc">
                     {!!$about['read']!!}
                </p>
            </div><!-- ./read-item -->
            
            <div class="row">
                @foreach($alshuyukh as $value)
                <!-- >>>> First Item <<<< -->
                <div class="col-md-4 wow bounceIn">
                    <a href="{{ url($value->image)}}" class="img-person d-block" data-fancybox="shi5">
                        <img src="{{ url($value->image)}}" alt="" draggable="false">
                        <span class="icon"><i class="fa fa-search"></i></span>
                    </a>
                </div><!-- ./img-person -->               
                <div class="col-md-8 wow bounceIn">
                    <div class="man-info">
                        <h3 class="man-info-title">{{$value->title}}</h3>
                        <p class="man-info-desc">
                            {!! $value->description  !!}
                        </p>
                    </div> 
                </div><!-- ./man-info -->
                @endforeach     
            </div><!-- ./row -->
            
            <div class="help-item">
                <h4 class="help-item-title">بدايته الإنشادية</h4>
                <p class="help-item-desc">
                    {!!$about['his_start']!!}
                 </p>
            </div><!-- ./help-item -->
            
        </div><!-- ./container -->
    </section><!-- ./helps -->
    
    
    <!-- albums-interests -->
    <section class="albums-interests">
        
        <div class="two-part album">
            <h3 class="album-title wow fadeInLeft">
                الألبومات الانشادية
            </h3>
            <p class="album-desc wow fadeInLeft">
                @foreach($anashed as $k => $value)
                    @if($k!=count($anashed)-1) {{ $value->title .' - ' }} @else {{ $value->title }} @endif
                @endforeach
            </p>
            <a href="{{url('libraryMedia/8')}}" class="tm-link album-link-edit wow fadeInLeft">
                <span class="text">إضغط هنا للإستمتاع للألبومات </span>
                <span class="btn-text"></span>
                <i class="album-icon fa fa-link"></i>
            </a>
        </div><!-- ./albums -->
        
        <div class="two-part interests">
            <h3 class="interests-title wow fadeInRight">
                هوايات واهتمامات
            </h3>
            <p class="interests-desc wow fadeInRight">
                {!!$about['hobbies_interests']!!}
            </p>
        </div><!-- ./interset -->
        
    </section><!-- ./album-interset -->
    
    <!-- quran-versions -->
    <section class="sections quran-versions">
        <div class="container">
            <h2 class="quran-version-title tm-header">إصدارات القرآن الكريـم للشيخ مشارى بن راشد العفاسى</h2>
            <div class="row">
                @foreach($khatmat as $value)
                <div class="col-md-6 col-12 wow bounceIn">
                    <div class="version-item">
                        <div class="row">
                            <div class="col-md-5">
                                <img src="{{ url($value->image)}}" alt="" draggable="false">
                            </div>
                            <div class="col-md-7">
                                <h3 class="ver-title">{{$value->title}}</h3>
                                <p class="ver-desc">{!!$value->description!!}</p>
                                <a href="{{url('playMedia/'.$value->id)}}" class="tm-link ver-link">
                                    <span class="text">إضغط للإستماع</span>
                                    <span class="btn-text"></span>
                                    <i class="ver-icon">::</i>
                                </a>
                            </div>
                        </div>
                    </div>
                </div><!-- ./version-item -->
                @endforeach   
            </div><!-- ./row -->
        </div><!-- ./container -->
    </section><!-- ./quran-versions -->
    
    <section class="sections prizes">
        <div class="container">
            <h2 class="prizes-title tm-header wow fadeIn">الجوائز والأوسمة التي حصل عليها الشيخ مشاري العفاسي</h2>
            <div class="row">
                
                <div class="col-md-6 col-12">
                    @foreach($rewards as $k=>$reward)
                    @if($k==count($rewards)/2)
                        </div>
                        <div class="col-md-6 col-12">
                    @endif        
                        <!-- acc-item -->
                        <div class="acc-item wow fadeIn">
                            <div class="acc-title">
                                {{$reward->title}}
                                <i class="acc-icon fa fa-plus"></i>
                                <i class="acc-icon fa fa-minus last"></i>
                            </div>
                            <div class="acc-answer">
                                {!! $reward->description !!}
                            </div>
                        </div><!-- ./acc-item --> 
                    @endforeach
                   
                </div>            
            </div><!-- ./row -->
        </div><!-- ./container -->
    </section><!-- ./prizes -->
    
    <section class="sections meshary-egaza">
        <div class="container">
            <h2 class="tm-header wow fadeInUp">إجازات وأسانيد الشيخ مشاري بن راشد العفاسي</h2>
            
            <div class="row">
                @foreach($certifications as $value)
                    <!-- egaza-item -->
                    <div class="col-md-3 col-sm-6 col-12 wow fadeInUp">
                        <div class="egaza-item">
                            <a href="{{ url($value->image)}}" data-fancybox='item' class="d-block">
                                <img src="{{ url($value->image)}}" alt="" draggable="false">
                            </a>
                            <div class="egaza-info">
                                <p class="egaza-title">{{ $value->title}}</p>
                                <p class="egaza-name">{{$value->owner}}</p>
                            </div>
                        </div>
                    </div><!-- ./egaza-item -->
                @endforeach
                             
            </div>
        </div>
    </section>
    
</section><!-- ./about-page -->

@stop
@section('script')
<script>
    $('[href="{{url("about")}}"]').parent().addClass('active');</script>
</script>
@stop