@extends('template')
@section('page_title')
Services
@stop
@section('content')
@include('errors')
<!-- BEGIN Content -->
<div id="main-content">
    <div class="row">
        <div class="col-md-12">
            <div class="box box-black">
                <div class="box-title">
                    <h3><i class="fa fa-table"></i> Services Table</h3>
                    <div class="box-tool">
                        <a data-action="collapse" href="#"><i class="fa fa-chevron-up"></i></a>
                        <a data-action="close" href="#"><i class="fa fa-times"></i></a>
                    </div>
                </div>
                <div class="box-content">
                    <div class="btn-toolbar pull-right">
                        <div class="btn-group">
                            <a class="btn btn-circle show-tooltip" title="" href="{{url('services/create')}}" data-original-title="Add new record"><i class="fa fa-plus"></i></a>
                            <?php
                            $table_name = "services";
                            // pass table name to delete all function 
                            // if the current route exists in delete all table flags it will appear in view
                            // else it'll not appear
                            ?>
                            @include('partial.delete_all') 
                        </div>
                    </div>
                    <br/>
                    <br/>
                    <div class="table-responsive">
                        <table id="example" class="table table-striped dt-responsive" cellspacing="0" width="100%">
                            <thead>
                                <tr>
                                    <th style="width:18px"><input type="checkbox" onclick="select_all('services')"></th>
                                    <th>Title</th>
                                    <th>Video</th>
                                    <th>Image</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($services as $item)
                                <tr>
                                    <td><input class="select_all_template" type="checkbox" name="selected_rows[]" value="{{$item->id}}" onclick="collect_selected(this)"></td>
                                    <td>{{ $item->title }}</td>
                                    <td><iframe src="{{$item->video}}" height="130" frameborder="0" webkitallowfullscreen="" mozallowfullscreen="" allowfullscreen="">
                                        </iframe>
                                    </td>
                                    <td><img src='{{url($item->image) }}' class="img-responsive" width="100px"/></td>
                                    <td>
                                        <a class="btn btn-sm show-tooltip" title="" href="{{url('services/'.$item->id.'/edit')}}" data-original-title="Edit"><i class="fa fa-edit"></i></a>
                                        <a class="btn btn-sm btn-danger show-tooltip" title="" onclick = 'return ConfirmDelete()' href="{{url('services/'.$item->id.'/delete')}}" data-original-title="Delete"><i class="fa fa-trash-o"></i></a>
                                     </td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@stop
@section('script')
<script>
    $('#services').addClass('active');
    $('#services-index').addClass('active');
</script>
@stop