@extends('template')
@section('page_title')
Slider
@stop
@section('content')
<style>
    a{
        cursor: pointer;
    }
</style>    
<div class="row">
    <div class="col-md-12">
        <div class="row">           
            <div class="col-md-12">
                @include('slider.modal')
                <!-- Modal -->
                <div class="box box-black">
                    <div class="box-title">
                        <h3><i class="fa fa-photo"></i>Slider Images</h3>
                        <div class="box-tool">
                            <a data-action="collapse" href="#"><i class="fa fa-chevron-up"></i></a>
                            <a data-action="close" href="#"><i class="fa fa-times"></i></a>
                        </div>
                    </div>
                    <div class="box-content">
                        <div class="btn-toolbar pull-right">
                            <div class="btn-group">
                                <a class="add btn btn-circle show-tooltip"  data-toggle="modal" data-target="#Modal" data-original-title="Add new image"><i class="fa fa-plus"></i></a>
                            </div>
                        </div>
                        <ul class="gallery">

                            @foreach($sliders as $value)
                            <li id="item_{{$value->id}}"}}>
                                <a href="#" rel="prettyPhoto" title="slider">
                                    <div>
                                        <img src="{{url($value->main_image)}}" width="230" height="173" alt="" />
                                        <i></i>
                                    </div>
                                </a>
                                <div class="gallery-tools">                                    
                                    <a  title="Show Layers" href="{{url('slider/show_layers/'.$value->id)}}"><i class="fa fa-eye"></i></a>
                                    <a  class="edit" data-id="{{$value->id}}" data-bgfit="{{$value->bgfit}}" data-bgposition="{{$value->bgposition}}" title = "Edit" data-toggle="modal" data-target="#Modal"><i class="fa fa-pencil"></i></a>
                                    <a class="del" data-id="{{$value->id}}" title = "Delete" ><i class="fa fa-trash"></i></a>

                                </div>
                            </li>
                            @endforeach
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>

@stop

@section('script')
<script src="{{url('assets/jquery/notify.js')}}"></script>
<script>
$(document).ready(function () {
    $('#slider').addClass('active');
    $('#homePage').addClass('active');
    $(".gallery").sortable({
        update: function (event, ui) {
            serial = $('.gallery').sortable('serialize');
            console.log(serial);
            $.ajax({
                url: "{{url('slider/update_sequence')}}",
                type: 'get',
                data: serial,
            })
                    .done(function () {
                        console.log("success");
                    })
                    .fail(function () {
                        console.log("error");
                    })
                    .always(function () {
                        console.log("complete");
                    });
        },
    });
    $(".gallery").sortable({
        cancel: '.unsorted'
    });
    // delete img
    $(document).on('click', '.del', function () {
        var confirmed = confirm('Are you sure you want to delete?');
        if (confirmed) {
            var id = $(this).attr('data-id');
            $.ajax({
                method: "get",
                url: "<?= url('slider/delete') ?>",
                data: {id: id},
                success: function (data) {
                    if (data == 'success') {
                        $(this).parent().prev('a').find('img').remove();
                        $('#item_' + id).remove();
                        $.notify("Image Deleted Successfully", "success");
                    }
                    else {
                        $.notify("Sorry,something goes wrong please try again", "danger");
                    }
                },
                error: function (xhr, textStatus, errorThrown) {
                    $.notify("Sorry,something goes wrong please try again", "danger");
                }
            });
        }
    });
    // edit img
    $(document).on('click', '.edit', function () {
        $('#Modal form').trigger("reset");
        var id = $(this).attr('data-id');
        var bgfit = $(this).attr('data-bgfit');
        var bgposition = $(this).attr('data-bgposition');
        var img = $(this).parent().prev('a').find('img').attr('src');
        //edit modal info          
        $('#Modal #submit').attr('data-id', id);
        $('#Modal #main_image').attr('src', img);
        $('#Modal input[type=file]').attr('required', false);
        $('#Modal #bgfit').val(bgfit);
        $('#Modal #bgposition').val(bgposition);
        $('#Modal form').attr('id', 'edit_form');
        $('#Modal .modal-title').text('Edit Image');

    });
    //form 
    $(document).on('submit', '#edit_form', function (e) {
        e.preventDefault();
        var id = $('#submit').attr('data-id');
        var url = "{{ url('slider/') }}";
        url += "/" + id;
        $.ajaxSetup({headers: {'csrftoken': '{{ csrf_token() }}'}});
        $.ajax({
            method: "post",
            url: url,
            data: new FormData(this),
            contentType: false,
            cache: false,
            processData: false,
            success: function (re) {
                if (re.data == 'success') {
                    //update img view
                    $(".gallery").load(" .gallery > *");
                    $.notify("Image Updated Successfully", "success");
                }
                else {
                    $.notify("Sorry,something goes wrong please try again", "danger");
                }
            },
            error: function (xhr, textStatus, errorThrown) {
                $.notify("Sorry,something goes wrong please try again", "danger");
            }
        });
        $('#Modal').modal('hide');

    });
    // add img
    $(document).on('click', '.add', function () {
        $('#Modal form').trigger("reset");
        //edit modal info  
        $('#Modal #main_image').attr('src', 'http://www.placehold.it/200x150/EFEFEF/AAAAAA&amp;text=no+image');
        $('#Modal input[type=file]').attr('required', true);
        $('#Modal form').attr('id', 'add_form');
        $('#Modal .modal-title').text('Add New Image');
    });
    //form 
    $(document).on('submit', '#add_form', function (e) {
        e.preventDefault();
        var url = "{{ url('slider/') }}";
        $.ajaxSetup({headers: {'csrftoken': '{{ csrf_token() }}'}});
        $.ajax({
            method: "post",
            url: url,
            data: new FormData(this),
            contentType: false,
            cache: false,
            processData: false,
            success: function (re) {
                if (re.data == 'success') {
                    //update gallery view
                    $(".gallery").load(" .gallery > *");
                    $.notify("Image Added Successfully", "success");
                }
                else {
                    $.notify("Sorry,something goes wrong please try again", "danger");
                }
            },
            error: function (xhr, textStatus, errorThrown) {
                $.notify("Sorry,something goes wrong please try again", "danger");
            }
        });
        $('#Modal').modal('hide');

    });
});

</script>
@stop
