<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);

use Mockery as m;

class IseedTest extends PHPUnit_Framework_TestCase
{
    protected static $stubsDir, $testStubsDir;

    public function __construct()
    {
        static::$stubsDir     = __DIR__.'/../src/Orangehill/Iseed/Stubs';
        static::$testStubsDir = __DIR__.'/Stubs';
    }

    public function tearDown()
    {
        m::close();
    }

    public function testPopulatesStub()
    {
        $productionStub = file_get_contents(static::$stubsDir.'/seed.stub');

        $testStubs = array(
            'blank' => array(
                'content' => file_get_contents(static::$testStubsDir.'/seed_blank.stub'),
                'data' => array()
            ),
            'entries_5' => array(
                'content' => file_get_contents(static::$testStubsDir.'/seed_5.stub'),
                'data' => array(
                    array(
                        'id' => '1',
                        'time' => '2013-10-18 14:28:51',
                    ),
                    array(
                        'id' => '2',
                        'time' => '2013-10-18 14:28:51',
                    ),
                    array(
                        'id' => '3',
                        'time' => '2013-10-18 14:28:51',
                    ),
                    array(
                        'id' => '4',
                        'time' => '2013-10-18 14:28:51',
                    ),
                    array(
                        'id' => '5',
                        'time' => '2013-10-18 14:28:51',
                    )
                )
            ),
            'entries_505' => array(
                'content' => file_get_contents(static::$testStubsDir.'/seed_505.stub'),
                'data' => array(
                    array(
                        'id' => '1',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '2',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '3',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '4',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '5',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '6',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '7',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '8',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '9',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '10',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '11',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '12',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '13',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '14',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '15',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '16',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '17',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '18',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '19',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '20',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '21',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '22',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '23',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '24',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '25',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '26',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '27',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '28',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '29',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '30',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '31',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '32',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '33',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '34',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '35',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '36',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '37',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '38',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '39',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '40',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '41',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '42',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '43',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '44',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '45',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '46',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '47',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '48',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '49',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '50',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '51',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '52',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '53',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '54',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '55',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '56',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '57',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '58',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '59',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '60',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '61',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '62',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '63',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '64',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '65',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '66',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '67',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '68',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '69',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '70',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '71',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '72',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '73',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '74',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '75',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '76',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '77',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '78',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '79',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '80',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '81',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '82',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '83',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '84',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '85',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '86',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '87',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '88',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '89',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '90',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '91',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '92',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '93',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '94',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '95',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '96',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '97',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '98',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '99',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '100',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '101',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '102',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '103',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '104',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '105',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '106',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '107',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '108',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '109',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '110',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '111',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '112',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '113',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '114',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '115',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '116',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '117',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '118',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '119',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '120',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '121',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '122',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '123',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '124',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '125',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '126',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '127',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '128',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '129',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '130',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '131',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '132',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '133',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '134',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '135',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '136',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '137',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '138',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '139',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '140',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '141',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '142',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '143',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '144',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '145',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '146',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '147',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '148',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '149',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '150',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '151',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '152',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '153',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '154',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '155',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '156',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '157',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '158',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '159',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '160',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '161',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '162',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '163',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '164',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '165',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '166',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '167',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '168',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '169',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '170',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '171',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '172',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '173',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '174',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '175',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '176',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '177',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '178',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '179',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '180',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '181',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '182',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '183',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '184',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '185',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '186',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '187',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '188',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '189',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '190',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '191',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '192',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '193',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '194',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '195',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '196',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '197',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '198',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '199',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '200',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '201',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '202',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '203',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '204',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '205',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '206',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '207',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '208',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '209',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '210',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '211',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '212',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '213',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '214',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '215',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '216',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '217',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '218',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '219',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '220',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '221',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '222',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '223',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '224',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '225',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '226',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '227',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '228',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '229',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '230',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '231',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '232',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '233',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '234',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '235',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '236',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '237',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '238',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '239',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '240',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '241',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '242',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '243',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '244',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '245',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '246',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '247',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '248',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '249',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '250',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '251',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '252',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '253',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '254',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '255',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '256',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '257',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '258',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '259',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '260',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '261',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '262',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '263',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '264',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '265',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '266',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '267',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '268',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '269',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '270',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '271',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '272',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '273',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '274',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '275',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '276',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '277',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '278',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '279',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '280',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '281',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '282',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '283',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '284',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '285',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '286',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '287',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '288',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '289',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '290',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '291',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '292',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '293',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '294',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '295',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '296',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '297',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '298',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '299',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '300',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '301',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '302',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '303',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '304',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '305',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '306',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '307',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '308',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '309',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '310',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '311',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '312',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '313',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '314',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '315',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '316',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '317',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '318',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '319',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '320',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '321',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '322',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '323',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '324',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '325',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '326',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '327',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '328',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '329',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '330',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '331',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '332',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '333',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '334',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '335',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '336',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '337',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '338',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '339',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '340',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '341',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '342',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '343',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '344',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '345',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '346',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '347',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '348',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '349',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '350',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '351',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '352',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '353',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '354',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '355',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '356',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '357',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '358',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '359',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '360',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '361',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '362',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '363',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '364',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '365',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '366',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '367',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '368',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '369',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '370',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '371',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '372',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '373',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '374',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '375',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '376',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '377',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '378',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '379',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '380',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '381',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '382',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '383',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '384',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '385',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '386',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '387',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '388',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '389',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '390',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '391',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '392',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '393',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '394',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '395',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '396',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '397',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '398',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '399',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '400',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '401',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '402',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '403',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '404',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '405',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '406',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '407',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '408',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '409',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '410',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '411',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '412',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '413',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '414',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '415',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '416',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '417',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '418',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '419',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '420',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '421',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '422',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '423',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '424',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '425',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '426',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '427',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '428',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '429',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '430',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '431',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '432',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '433',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '434',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '435',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '436',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '437',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '438',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '439',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '440',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '441',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '442',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '443',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '444',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '445',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '446',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '447',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '448',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '449',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '450',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '451',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '452',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '453',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '454',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '455',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '456',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '457',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '458',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '459',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '460',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '461',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '462',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '463',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '464',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '465',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '466',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '467',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '468',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '469',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '470',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '471',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '472',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '473',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '474',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '475',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '476',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '477',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '478',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '479',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '480',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '481',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '482',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '483',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '484',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '485',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '486',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '487',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '488',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '489',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '490',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '491',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '492',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '493',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '494',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '495',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '496',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '497',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '498',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '499',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '500',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '501',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '502',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '503',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '504',
                        'time' => '2013-10-18 14:31:24',
                    ),
                    array(
                        'id' => '505',
                        'time' => '2013-10-18 14:31:24',
                    )
        )));

        $iSeed = new Orangehill\Iseed\Iseed();
        foreach ($testStubs as $key => $stub) {
            $output = $iSeed->populateStub('test_class', $productionStub, 'test_table', $stub['data'], 500);
            $this->assertEquals($stub['content'], $output, "Stub {$key} is not what it's expected to be.");
        }
    }

    /**
     * @expectedException Orangehill\Iseed\TableNotFoundException
     * @expectedExceptionMessage Table nonexisting was not found.
     */
    public function testTableNotFoundException()
    {
        $hasTable = m::mock('Orangehill\Iseed\Iseed[hasTable]')->makePartial();
        $hasTable->shouldReceive('hasTable')->once()->andReturn(false);
        $hasTable->generateSeed('nonexisting', 'database', 'numOfRows');
    }

    public function testRepacksSeedData()
    {
        $data   = array(
            array('id' => '1', 'name' => 'one'),
            array('id' => '2', 'name' => 'two')
        );
        $iseed  = new Orangehill\Iseed\Iseed();
        $output = $iseed->repackSeedData($data);
        $this->assertEquals(json_encode($data), json_encode($output));
    }

    public function testCanGenerateClassName()
    {
        $iseed  = new Orangehill\Iseed\Iseed();
        $output = $iseed->generateClassName('tablename');
        $this->assertEquals('TablenameTableSeeder', $output);
    }

    public function testCanGetStubPath()
    {
        $iseed    = new Orangehill\Iseed\Iseed();
        $output   = $iseed->getStubPath();
        $expected = substr(__DIR__, 0, -5).'src'.DIRECTORY_SEPARATOR.'Orangehill'.DIRECTORY_SEPARATOR.'Iseed'.DIRECTORY_SEPARATOR.'Stubs';
        $this->assertEquals($expected, $output);
    }

    public function testCanGenerateSeed()
    {
        $file   = m::mock('Illuminate\Filesystem\Filesystem')->makePartial();
        $file->shouldReceive('get')
            ->once()
            ->with(substr(__DIR__, 0, -5).'src'.DIRECTORY_SEPARATOR.'Orangehill'.DIRECTORY_SEPARATOR.'Iseed'.DIRECTORY_SEPARATOR.'Stubs'.DIRECTORY_SEPARATOR.'seed.stub');
        $file->shouldReceive('put')
            ->once()
            ->with('seedPath', 'populatedStub');
        $mocked = m::mock('Orangehill\Iseed\Iseed', array($file))->makePartial();
        $mocked->shouldReceive('hasTable')->once()->andReturn(true);
        $mocked->shouldReceive('getData')->once()->andReturn(array());
        $mocked->shouldReceive('generateClassName')->once()->andReturn('ClassName');
        $mocked->shouldReceive('getSeedPath')->once()->andReturn('seedPath');
        $mocked->shouldReceive('getPath')->once()->with('ClassName', 'seedPath')->andReturn('seedPath');
        $mocked->shouldReceive('populateStub')->once()->andReturn('populatedStub');
        $mocked->shouldReceive('updateDatabaseSeederRunMethod')->once()->with('ClassName')->andReturn(true);
        $mocked->generateSeed('tablename', 'database', 'numOfRows');
    }
}